## Dies ist eine modifizierte Version des ursprnglichen ParadisSO fr Windows-Benutzer

# ParadisSO - eine minimale 2D-Grafikengine

**ParadiSO** wurde als stark abgespeckte 2D-Version meiner `pixwerx`-Engine konzipiert. *ParadiSO* ahmt einen minimalistischen Ansatz fr 2D-Grafiken zu Bildungszwecken nach. Es verwendet modernes C++ und ein datengesteuertes Design, jedoch keine ECS (Entity Component System).

## Bildungszwecke

Einige Argumente fr seinen Bildungsaspekt:

- Kombination verschiedener Konzepte und Paradigmen zur Erstellung ausdrucksstarker, aber knappen Codes
- Stark von Rust-Code inspiriert
- Fr den mathematischen Code wird eine sofortige Auswertung verwendet, jedoch mit der Verwendung von `constexpr`, um eventuelle Performance-Overheads auszugleichen.
- Versteckt alte `C`-APIs hinter einer modernisierten Fassade
- Es lehnt sich stark an die STL und ihre Algorithmen an

## Minimalistisch

Da diese Engine einige Muster und Designkonzepte zeigen soll, versucht sie, unntige Aufblhungen zu vermeiden.

## Abhngigkeiten

ParadiSO wird mit den notwendigen Komponenten geliefert. Diese sollte jedoch hier erwhnt werden:

- [GLFW 3.3.8](https://github.com/glfw/glfw)
- [GLAD](https://github.com/Dav1dde/glad)